Saltar al contenido principal
Mantén tu empresa abierta durante el COVID-19Obtener más información
Llámanos
Números telefónicos y horarios
Solicitar una llamada

Evita la espera. Haz una solicitud y te devolveremos la llamada

Solicitar una llamada
Centro de Ayuda

Explora nuestros recursos de ayuda en línea

BlogAyuda

WordPress administrado Ayuda

Hicimos lo mejor que pudimos para traducir esta página para ti. La página en inglés también está disponible.

Retirar versiones antiguas de PHP

Advertencia: A lo largo de julio de 2022, retiraremos cualquier versión de PHP al final de su vida útil en nuestra plataforma de hosting Managed WordPress.

PHP es el lenguaje de programación en el que se basa el código de WordPress. Este idioma se ejecuta en el servidor y mantenerlo actualizado es importante para la seguridad y funcionalidad de tu sitio de WordPress.

Selecciona una pregunta para ver su respuesta:

¿Por qué sucede esto?

Las versiones de fin de ciclo de vida (EOL) ya no son compatibles con las actualizaciones de seguridad, lo que podría hacer que tu sitio de WordPress sea vulnerable. La actualización a la versión actual de PHP también puede mejorar el rendimiento y la estabilidad de la mayoría de los sitios.

Para prepararnos para esto, nos estamos preparando para retirar las siguientes versiones de PHP:

  • 5.6
  • 7.0, 7.1, 7.2, 7.3

¿Cómo sabré qué versión de PHP estoy usando?

Tu versión de PHP se puede ver en varias ubicaciones:

  • Panel de control de hosting de Managed WordPress: En Configuración , selecciona Sitio de producción y luego Versión de PHP . Aquí también puedes actualizar tu versión de PHP.
  • Panel de control de WordPress: En la página de inicio, un mensaje de administrador mostrará Se requiere actualización de PHP . Sigue el enlace para actualizar tu versión de PHP.
  • Script de información de PHP: Puedes crear un archivo de información de PHP y colocarlo en tu directorio public_html. Esto mostrará la información de tu versión de PHP cuando el archivo se cargue en tu navegador.

¿Qué me recomiendas hacer?

Si tu sitio se ejecuta en una versión EOL de PHP, recomendamos ser proactivo y actualizar tu sitio.

Primero, debes actualizar tus complementos y tu tema activo . Esta es la causa más probable de problemas al actualizar la versión de PHP para tu sitio de WordPress. También deberías aprovechar esta oportunidad para revisar la documentación del desarrollador de tus complementos y tema para ver si hay algún problema que debas tener en cuenta al actualizar la versión de PHP.

Nuestros planes Deluxe, Ultimate y Ecommerce Managed WordPress incluyen un sitio de ensayo con un solo clic donde puedes probar tu sitio en la última versión de PHP. Este es un gran lugar para solucionar problemas y superar cualquier problema que puedas encontrar sin afectar tu sitio en vivo. Una vez que hayas completado la actualización y hayas solucionado los problemas en tu sitio de ensayo, puedes enviar los cambios a tu sitio en vivo.

Nota: Si tu sitio está en un plan básico Managed WordPress, deberás actualizar a un plan Deluxe, Ultimate o Ecommerce para acceder al entorno de ensayo. ( Aquí te explicamos cómo actualizar )

Dependiendo de la versión de PHP EOL en la que se está ejecutando tu sitio, puede que no haya mucho que cambiar para que tu sitio funcione correctamente. Mientras más antigua sea la versión, más trabajo puede implicar para preparar tu sitio para el cambio.

Si tu sitio se ejecuta en PHP versión 5.6, debes revisar las funciones que están en desuso en PHP 7.0.x en PHP.net. Es posible que debas involucrar a tu desarrollador o administrador de WordPress para asegurarte de que tu sitio funcione correctamente después del cambio de versión de PHP.

Si tu sitio funciona con PHP 7.0 - 7.3, puedes encontrar información sobre la migración a una versión más reciente en los apéndices en PHP.net.

Si no tienes un desarrollador o administrador de WordPress que te ayude con tu sitio, nuestro servicio de pago WordPress Premium Support puede ayudarte.

¿Cómo cambio la versión de PHP?

En la sección Configuración de tu panel de control de hosting Managed WordPress, puedes cambiar la versión de PHP .

¿Qué pasa si no hago nada?

Si tu sitio web está usando actualmente una versión de PHP EOL y tú no actúas, es posible que algunos aspectos de tu sitio web no funcionen si dependen del código obsoleto en estas versiones anteriores. Deberías consultar a tu desarrollador web o administrador de WordPress si no estás seguro.

A medida que se retiren las versiones EOL de PHP, cualquiera que todavía esté usando una versión EOL encontrará que su sitio ha cambiado a una versión más reciente y estable de PHP.